﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.Point;
	
	public class Suiveur extends Sprite
	{
		private var mover:Sprite;
		private var i:Number = 1;
		public function Suiveur()
		{
			addEventListener(Event.ADDED_TO_STAGE, addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			mover = new Sprite();
			addChild(mover);
			addEventListener(Event.ENTER_FRAME, enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			mover.x+= -(mouseX-stage.stageWidth/30)/10;
			mover.y+= -(mouseY-stage.stageHeight/120)/14;
			drawElem(i++);
		}
		private function drawElem(nbr:Number):void
		{
			var elem:Sprite = new Sprite();
			elem.name = "ch"+i;
			elem.graphics.beginFill(0x000fff*2*Math.random(),1);
			elem.graphics.drawCircle(mouseX-mover.x,mouseY-mover.y,Math.tan(i*Math.PI/200)*50);
			elem.graphics.endFill();
			elem.addEventListener(Event.ENTER_FRAME,fadeOut);
			mover.addChild(elem);
		}
		private function fadeOut(e:Event):void{
			e.currentTarget.x = Math.random()*11;
			e.currentTarget.y = Math.random()*1;
			e.currentTarget.alpha-=0.1;
			if(e.currentTarget.alpha<=0.2){
				if(mover.getChildByName(e.currentTarget.name)!=null){
					e.currentTarget.removeEventListener(Event.ENTER_FRAME,fadeOut);
					mover.removeChild(mover.getChildByName(e.currentTarget.name));
				}
			}
		}
	}
}